package com.winhc.bigdata.filnk.java.constant;

import com.winhc.bigdata.filnk.java.utils.EnvironmentProperties;

import java.util.Map;

/**
 * @author: XuJiakai
 * 2021/8/31 16:17
 */
public class EnvConst {
    private static final EnvironmentProperties env = new EnvironmentProperties();

    public static Map<String, String> getMapByPrefix(String prefix) {
        return env.getMapByPrefix(prefix);
    }

    public static String getValue(String key) {
        return getValue(key, null);
    }

    public static String getValue(String key, String orDefault) {
        String value = env.getValue(key);
        return value == null ? orDefault : value;
    }
}
