package com.winhc.bigdata.flink.utils

import org.apache.commons.lang3.StringUtils

/**
 * @author: XuJiakai
 * @date: 2021/9/1 15:25
 */
object BaseUtils {
  //去其他符号 去空格
  private val pattern = "[^\\u4e00-\\u9fa50-9a-zA-Z]".r

  //去其他符号 去空格  补全null
  def cleanup(s: String): String = {
    if (StringUtils.isBlank(s))
      ""
    else
      pattern replaceAllIn(s, "")
  }

  def isWindows: Boolean = System.getProperty("os.name").contains("Windows")

}
