package com.winhc.bigdata.flink.config


import com.alibaba.ververica.connector.shaded.hadoop3.org.apache.hadoop.conf.Configuration
import com.winhc.bigdata.filnk.java.constant.EnvConst
import org.apache.hadoop.hbase.HBaseConfiguration

import java.util
import scala.collection.JavaConverters._

/**
 * @author: XuJiakai
 * @date: 2021/8/31 17:11
 */
object HbaseConfig {
  def getHbaseConfiguration(): Configuration = {
    val map: util.Map[String, String] = EnvConst.getMapByPrefix("winhc.hbase.config")
    val configuration: Configuration = HBaseConfiguration.create
    for (elem <- map.asScala) {
      configuration.set(elem._1.replace("winhc.hbase.config.", ""), elem._2)
    }
    configuration
  }
}
