package com.winhc.bigdata.flink.implicits

import org.apache.hadoop.hbase.client.Result
import org.json4s.jackson.Serialization
import org.json4s.{Formats, NoTypeHints}
/**
 * @author: XuJiakai
 * @date: 2020/11/23 10:51
 */
case class CaseClass2JsonHelper[A <: AnyRef](that: A) {
  def toJson()(implicit formats: Formats = Serialization.formats(NoTypeHints)): String = {
    if (that == null) {
      return null
    }
    that match {
      case result: Result =>
        result.toJsonString()
      case _ =>
        Serialization.write(that)
    }
  }
}
